import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

class PesquisaFutebol extends JFrame implements ActionListener{
  private int vet[];
  private Grafico gr;
  private String nome;
  
  private JButton b1,b2,b3,b4;
  private JButton abrir,salvar;

  public PesquisaFutebol(){
    // Aloca vetor da pesquisa
    vet = new int[4];
    
    // Cria painel superior de botoes
    JPanel psup = new JPanel();
    psup.setLayout(new GridLayout(1,2));
    abrir = new JButton("Abrir...");
    abrir.addActionListener(this);
    salvar= new JButton("Salvar como...");
    salvar.addActionListener(this);
    psup.add(abrir);
    psup.add(salvar);
    // Cria painel de botoes
    JPanel p = new JPanel();
    p.setLayout(new GridLayout(1,4));
    b1 = new JButton("Internacional");
    b1.addActionListener(this);    
    b2 = new JButton("Gremio");
    b2.addActionListener(this);    
    b3 = new JButton("Juventude");
    b3.addActionListener(this);    
    b4 = new JButton("Caxias");
    b4.addActionListener(this);    
    p.add(b1);
    p.add(b2);
    p.add(b3);
    p.add(b4);
    
    // Cria area do grafico
    gr = new Grafico(vet);
    
    // Monta o layout da janela
    getContentPane().setLayout(new BorderLayout());
    getContentPane().add(p,BorderLayout.SOUTH);
    getContentPane().add(gr,BorderLayout.CENTER);
    getContentPane().add(psup,BorderLayout.NORTH);
    
    nome = "pesq.dat";
    // Define o tamanho, a visibilidade e o listener da janela
    setSize(400,250);
    addWindowListener(new WindowAdapter(){
      public void windowClosing(WindowEvent e){
	    gravaDados();
        // Encerra programa
        System.exit(0);
      }
    });
    setVisible(true);
    
    // Carrega os dados
    carregaDados();
  }
  
  public void carregaDados()
  {
    try{
      FileInputStream is = new FileInputStream(nome);
      DataInputStream di = new DataInputStream(is);
      for(int i=0;i<4;i++)
        vet[i] = di.readInt();
      di.close();
    }
    catch(IOException e){
      System.out.println("Arquivo de dados inexistente");
    }
  }
  
  public void gravaDados()
  {
	// Grava os dados antes de encerrar
        try{
          FileOutputStream os = new FileOutputStream(nome);
          DataOutputStream ds = new DataOutputStream(os);
          for(int i=0; i<4; i++)
            ds.writeInt(vet[i]);
          ds.close();
        }
        catch(IOException io){
        }
  }

  public void abrirArquivo()
  {
    JFileChooser chooser = new JFileChooser();
    System.out.println("Abrindo..");
    int returnVal = chooser.showOpenDialog(null);
    if(returnVal == JFileChooser.APPROVE_OPTION) {
       nome = chooser.getSelectedFile().getName();
       carregaDados();
       gr.repaint();
    }
 
  }

  public void salvarComo()
  {
    JFileChooser chooser = new JFileChooser();
    System.out.println("Salvando..");
    int returnVal = chooser.showSaveDialog(null);
    if(returnVal == JFileChooser.APPROVE_OPTION) {
       nome = chooser.getSelectedFile().getName();
       gravaDados();
    }
  }

  public void actionPerformed(ActionEvent e){
    JButton b = (JButton)e.getSource();
    //String s = b.getLabel();
    if (b == b1) vet[0]++;
    else if (b == b2) vet[1]++;
    else if (b == b3) vet[2]++;
    else if (b == b4) vet[3]++;
    else if (b == abrir) abrirArquivo();
    else if (b == salvar) salvarComo();
    gr.repaint();   
  }
}

    